<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet version="1.0" 
           xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

  <xsl:output method="html"/>

  <xsl:template match="/FILM">
    <html>
      <head>
        <!-- Titre du film   -->
        <title>Film: <xsl:value-of select="TITRE"/>    
        </title>
      </head>
      <body bgcolor="white">
        <p>
          <h1>
             <i><xsl:value-of select="TITRE"/></i>
          </h1>
 
          <!-- Genre, pays, et anne du film      -->
          <xsl:value-of select="GENRE"/>,   
          <i> <xsl:value-of select="CODEPAYS"/></i>,
          <xsl:value-of select="ANNEE"/>
        </p> 
        <p>
          <!-- Rsum du film  -->
          <h3>Rsum</h3>
          <xsl:value-of select="RESUME"/>   
        </p>

         <xsl:if test="not(TITRE)">
            Si vous lisez ce message, c'est que vous avez
             oubli de passer un paramtre <tt>titre</tt> au
                  document. Essayez avec l'URL
               <a href="FilmXSLT.xsql?titre=Impitoyable">
                    FilmXSLT.xsql?titre=Impitoyable</a>
          </xsl:if>
      </body>
     </html>
  </xsl:template>
</xsl:stylesheet>
