#
#   Commandes de cration de la base avec deux tables: Film, 
#   Artiste et Role
#  Pour insrer des donnes, utilisez le script XCreerBase.sql


# Cration des tables                             

CREATE TABLE Artiste  (id INTEGER AUTO_INCREMENT NOT NULL,
                       nom VARCHAR (30) NOT NULL,
                       prenom VARCHAR (30) NOT NULL,
                       anneeNaiss INTEGER,
                       PRIMARY KEY (id),
                       UNIQUE (nom, prenom));

CREATE TABLE Film  (titre    VARCHAR (50) NOT NULL,
                    annee    INTEGER NOT NULL,
                    idMES    INTEGER,
                    genre   VARCHAR (30),
                    resume      TEXT,
                    codePays    VARCHAR (4),
                    PRIMARY KEY (titre),
                    FOREIGN KEY (idMES) REFERENCES Artiste);


CREATE TABLE Role (titre  VARCHAR (50) NOT NULL,
                   idActeur INTEGER NOT NULL,
                   nomRole  VARCHAR(30), 
                   PRIMARY KEY (titre,idActeur),
                   FOREIGN KEY (titre) REFERENCES Film,
                   FOREIGN KEY (idActeur) REFERENCES Artiste);

